(function(){
	// creates the plugin
	tinymce.create('tinymce.plugins.sppexpconbuttons', {
		init : function(ed, url) {
			tinymce.plugins.sppexpconbuttons.theurl = url;
		},
		createControl: function(n, cm) {
        switch (n) {
            case 'sppexpcon_buttons':
                var c = cm.createButton('sppexpcon_buttons', {
					title : 'Add Expiring Content',
	               	image : tinymce.plugins.sppexpconbuttons.theurl + '/images/stopwatch.png',
					onclick : function() {
                        // triggers the thickbox
						tinymce.activeEditor.windowManager.open({
						file : tinymce.plugins.sppexpconbuttons.theurl + '/button_dialog.php', // file that contains HTML for our modal window
						width : 300, // size of our window
						height : 200, // size of our window
						inline : 1
						}, {
							plugin_url : tinymce.plugins.sppexpconbuttons.theurl
						});
                    }
                });

                // Return the new splitbutton instance
                return c;
        }

        return null;
    }
		
	});
	
	// registers the plugin. DON'T MISS THIS STEP!!!
	tinymce.PluginManager.add('sppexpconbuttons', tinymce.plugins.sppexpconbuttons);
	
})()