<?php
// this file contains the contents of the popup window
$wpdir = dirname(dirname(dirname(dirname(dirname(__FILE__)))));
include($wpdir.'/wp-load.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Expiring Content Options</title>
<link type="text/css" rel="stylesheet" media="all" href="css/styles-dialog.css">
<link type="text/css" rel="stylesheet" media="all" href="css/jquery-ui.css">
<script language="javascript" type="text/javascript" src="../../../../wp-includes/js/tinymce/tiny_mce_popup.js"></script>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
<script src="//ajax.googleapis.com/ajax/libs/jqueryui/1.8.23/jquery-ui.min.js"></script>
<script language="javascript" type="text/javascript" src="../../../../wp-includes/js/jquery/ui/jquery.ui.datepicker.min.js"></script>

<script type="text/javascript">
 
var ExpconDialog = {
	local_ed : 'ed',
	init : function(ed) {
		ExpconDialog.local_ed = ed;
		tinyMCEPopup.resizeToInnerSize();
	},
	insert : function insertButton(ed) {
	 
		// Try and remove existing style / blockquote
		tinyMCEPopup.execCommand('mceRemoveNode', false, null);
		 
		// set up variables to contain our input values
		var display = jQuery('#expcon-dialog input[type="radio"]:checked.display').val();
		var date = jQuery('#expcon-dialog input#date').val();
		 
		var output = '';
		
		// setup the output of our shortcode
		output += '[expcontent display="' + display + '" date="' + date + '"]';
		output += '' + ExpconDialog.local_ed.selection.getContent() +'[/expcontent]';
			
		tinyMCEPopup.execCommand('mceInsertContent', false, output);
		 
		// Return
		tinyMCEPopup.close();
	}
};
tinyMCEPopup.onInit.add(ExpconDialog.init, ExpconDialog); 
    
jQuery(document).ready(function() {
	jQuery( "#date" ).datepicker();
});
</script>

</head>
<body class="expcon-dialog">
	<div id="expcon-dialog">
		<form action="/" method="get" accept-charset="utf-8">
			<table>
				<tr>
					<th><label for="display">Display</label></th>
					<td class="dispopts">
						<input type="radio" name="display" value="before" id="display-before" class="display" />
						<div id="display-before">Before</div>
					</td>
					<td class="dispopts">
						<input type="radio" name="display" value="after" id="display-after" class="display" />
						<div id="display-after">After</div>
					</td>
				</tr>
				<tr>
					<th>
						<label for="date">Expiry Date</label>
					</th>
					<td colspan="2">
						<input type="text" name="date" value="" id="date" />
					</td>
				</tr>
			</table>
				<div id="submitbtn">
					<a href="javascript:ExpconDialog.insert(ExpconDialog.local_ed)" id="insert" style="display: block; line-height: 24px;">Insert</a>
				</div>
		</form>
	</div>
</body>
</html>